aboutsummaryrefslogtreecommitdiffstats
path: root/main/ircii/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-21 13:47:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-21 13:47:56 +0000
commitff761b56ad7826dd2081e35e8bbcc8b0312c3269 (patch)
tree57ff2b9cbadf81e541394b0aa15d3cfc3d345a9c /main/ircii/APKBUILD
parent5b7a7340a7ebe9bb52bd3d5fc37dacd6e910db3a (diff)
downloadaports-ff761b56ad7826dd2081e35e8bbcc8b0312c3269.tar.gz
aports-ff761b56ad7826dd2081e35e8bbcc8b0312c3269.tar.bz2
aports-ff761b56ad7826dd2081e35e8bbcc8b0312c3269.tar.xz
main/ircii: new aport
ircII is an IRC and ICB client that runs under most UNIX platforms http://www.eterna.com.au/ircii/
Diffstat (limited to 'main/ircii/APKBUILD')
-rw-r--r--main/ircii/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/ircii/APKBUILD b/main/ircii/APKBUILD
new file mode 100644
index 0000000000..2ff651e852
--- /dev/null
+++ b/main/ircii/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ircii
+pkgver=20060725
+pkgrel=0
+pkgdesc="ircII is an IRC and ICB client that runs under most UNIX platforms."
+url="http://www.eterna.com.au/ircii/"
+license="GPL-2"
+subpackages="$pkgname-doc"
+depends=
+# original source seems to be dead. use gentoo.
+#source="ftp://ircii.warped.com/pub/ircII/$pkgname-$pkgver.tar.bz2"
+source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-ipv6
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="280ae54367627591c1c43c765eb9d59b ircii-20060725.tar.bz2"